Pixels
Sporingspixels til korte links.
GET/api/v1/pixelsList pixel
| Navn | Type | Påkrævet | Beskrivelse |
|---|---|---|---|
| page | integer | Nej | Page number (default 1) |
| results_per_page | integer | Nej | Items per page (default 25, max 100) |
| search | string | Nej | Search term |
| search_by | string | Nej | Column to search |
| order_by | string | Nej | Sort column |
| order_type | string | Nej | asc or desc |
| datetime_start | string | Nej | ISO datetime filter start |
| datetime_end | string | Nej | ISO datetime filter end |
curl -X GET 'https://forqrcode.com/api/v1/pixels' \ -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/pixels/{id}Læs én pixel
| Navn | Type | Påkrævet | Beskrivelse |
|---|---|---|---|
| id | integer | Ja | — |
curl -X GET 'https://forqrcode.com/api/v1/pixels/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'POST/api/v1/pixelsOpret pixel
curl -X POST 'https://forqrcode.com/api/v1/pixels' \ -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/pixels/{id}Opdater pixel
| Navn | Type | Påkrævet | Beskrivelse |
|---|---|---|---|
| id | integer | Ja | — |
curl -X PATCH 'https://forqrcode.com/api/v1/pixels/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'DELETE/api/v1/pixels/{id}Slet pixel
| Navn | Type | Påkrævet | Beskrivelse |
|---|---|---|---|
| id | integer | Ja | — |
curl -X DELETE 'https://forqrcode.com/api/v1/pixels/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'Parameternavne og JSON-eksempler vises på engelsk. Erstat YOUR_API_KEY med din kontonøgle.